Subject: Re: [PATCH V8 mlx5-next 08/15] vfio: Have the core code decode the VFIO_DEVICE_FEATURE ioctl

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 22 Feb 2022 14:13:26 -0400

On Tue, Feb 22, 2022 at 05:48:57PM +0100, Cornelia Huck wrote:

> One not-that-obvious change this is making is how VFIO_DEVICE_* ioctls
> are processed. With this patch, VFIO_DEVICE_FEATURE is handled a bit
> differently to other ioctl commands that are passed directly to the
> device; here we have the common handling first, then control is passed
> to the device. When I read in Documentation/driver-api/vfio.rst
> 
> "The ioctl interface provides a direct pass through for VFIO_DEVICE_*
> ioctls."

Hum. That whole docs section has fallen out of date, the
vfio_device_ops it quotes is quite out of date now.

It is all my fault, I'll send a seperate patch to sort it all after
this is merged.

Maybe we should be converting more of this to kdoc so we don't have
such duplication and it will be more maintainable. That is a bigger
project..

Thanks,
Jason